#pragma once
#ifdef DEBUG
  #include "string-util.hpp"
#endif
#include <iostream>
#include <string>
namespace a83 {
  #ifdef DEBUG
  void log(CN(a83::Str) str) {
    #pragma omp critical
    std::clog << str << std::endl;
  }
  void iflog(bool cond, CN(a83::Str) str) {
    if (cond)
      log(str);
  }
  #else // RELEASE
  constexpr void log(CN(a83::Str)){}
  constexpr void iflog(bool, CN(a83::Str)){}
  #endif
} // end a83 ns